Skip to content


Subversion checkout URL

You can clone with
Download ZIP


error while install express and other modules #2746

aceyin opened this Issue · 3 comments

4 participants


ace-air:node-v0.8.7-darwin-x64 ace$ npm install express
npm http GET
npm http 200
npm http GET
npm ERR! fetch failed
npm http GET
npm ERR! fetch failed
npm http GET
npm ERR! fetch failed
npm ERR! Error: tunneling socket could not be established, cause=connect EHOSTUNREACH
npm ERR! at ClientRequest.onError (/Users/ace/software/node-v0.8.7-darwin-x64/lib/node_modules/npm/node_modules/request/tunnel.js:161:17)
npm ERR! at ClientRequest.g (events.js:185:14)
npm ERR! at ClientRequest.EventEmitter.emit (events.js:88:17)
npm ERR! at CleartextStream.socketErrorListener (http.js:1330:9)
npm ERR! at CleartextStream.EventEmitter.emit (events.js:88:17)
npm ERR! at Socket.onerror (tls.js:1293:17)
npm ERR! at Socket.EventEmitter.emit (events.js:115:20)
npm ERR! at Socket._destroy.self.errorEmitted (net.js:327:14)
npm ERR! at process.startup.processNextTick.process._tickCallback (node.js:244:9)
npm ERR! If you need help, you may report this log at:
npm ERR!
npm ERR! or email it to:
npm ERR!

npm ERR! System Darwin 11.4.0
npm ERR! command "/Users/ace/software/node-v0.8.7-darwin-x64/bin/node" "/Users/ace/software/node-v0.8.7-darwin-x64/bin/npm" "install" "express"
npm ERR! cwd /Users/ace/software/node-v0.8.7-darwin-x64
npm ERR! node -v v0.8.7
npm ERR! npm -v 1.1.49
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /Users/ace/software/node-v0.8.7-darwin-x64/npm-debug.log
npm ERR! not ok code 0


I am getting the same issue. Is it just a temporary issue with NPM Registry? Is any one else able to install express?


It was probably an issue with either the internet connection or temporary problems with npm.


yeah...this can be closed :palm_tree:

@luk- luk- closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.